| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::Position Class Reference

`#include <Position.h>`

Collaboration diagram for Gaudi::Parsers::Position:

[legend]
List of all members.

## Detailed Description

Parser position entity.

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 24 of file Position.h.

## Public Member Functions
| Position (const std::string &fileName="", const int line=0, const int column=0)
| Constructor.
std::string | fileName () const
| Name of file.
int | line () const
| Line number.
int | column () const
| Column number.
## Private Attributes
std::string | m_fileName
int | m_line
int | m_column

## Constructor & Destructor Documentation

Gaudi::Parsers::Position::Position | ( | const std::string & | fileName = `""`,
|  | const int | line = `0`,
|  | const int | column = `0` |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | fileName | Name of file
  | line | Line number
  | column | Column number

Definition at line 33 of file Position.h.

    00036         : m_fileName  ( fileName )
    00037         , m_line      ( line     )
    00038         , m_column    ( column   )
    00039       {}

## Member Function Documentation

std::string Gaudi::Parsers::Position::fileName | ( |  | ) | const`[inline]`

Name of file.

Definition at line 41 of file Position.h.

References m_fileName.

Referenced by Gaudi::Parsers::Parser::addMessage(), and Gaudi::Parsers::Parser::parseFile().

    00041 {return m_fileName;}

int Gaudi::Parsers::Position::line | ( |  | ) | const`[inline]`

Line number.

Definition at line 43 of file Position.h.

References m_line.

Referenced by Gaudi::Parsers::Parser::addMessage(), Gaudi::Parsers::Parser::matchAssign(), Gaudi::Parsers::Parser::matchUnitEntry(), Gaudi::Parsers::Parser::parseFile(), Gaudi::Parsers::Parser::setIsPrint(), and Gaudi::Parsers::Parser::setIsPrintOptions().

    00043 {return m_line;}

int Gaudi::Parsers::Position::column | ( |  | ) | const`[inline]`

Column number.

Definition at line 45 of file Position.h.

References m_column.

Referenced by Gaudi::Parsers::Parser::addMessage(), Gaudi::Parsers::Parser::matchAssign(), Gaudi::Parsers::Parser::matchUnitEntry(), Gaudi::Parsers::Parser::parseFile(), Gaudi::Parsers::Parser::setIsPrint(), and Gaudi::Parsers::Parser::setIsPrintOptions().

    00045 {return m_column;}

## Member Data Documentation

std::string Gaudi::Parsers::Position::m_fileName`[private]`

Definition at line 47 of file Position.h.

Referenced by fileName().

int Gaudi::Parsers::Position::m_line`[private]`

Definition at line 48 of file Position.h.

Referenced by line().

int Gaudi::Parsers::Position::m_column`[private]`

Definition at line 49 of file Position.h.

Referenced by column().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/JobOptionsSvc/Position.h